
Foreman - Refactor #26654

move spice npm package and related js code to webpack

04/21/2019 11:59 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6701

  

Description

Related issues:

Related to Foreman - Task #16283: Move all vendored assets and asset gems to ... New 08/25/2016

Associated revisions

Revision 764439a2 - 05/10/2019 01:53 PM - Ohad Levy

fixes #26654 - migrate spice to npm and upgrade

move from an old version of spice to a much newer one (over 5 years upgrade)

move spice js to webpack

add alert message if spice fails to initalize

History

#1 - 04/21/2019 11:59 AM - Ohad Levy

- Related to Task #16283: Move all vendored assets and asset gems to npm+webpack added

#2 - 04/21/2019 11:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6701 added

#3 - 04/21/2019 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#4 - 05/10/2019 02:05 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset 764439a2b354e2c223942bc52a8f0673ca110fb5.
